Upstream information

CVE-2024-28130 at MITRE

Description

An incorrect type conversion vulnerability exists in the DVPSSoftcopyVOI_PList::createFromImage functionality of OFFIS DCMTK 3.6.8. A specially crafted malformed file can lead to arbitrary code execution. An attacker can provide a malicious file to trigger this vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  SUSE
Base Score 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1223324 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub 15 SP5
  • dcmtk >= 3.6.8-bp155.3.3.1
  • dcmtk-devel >= 3.6.8-bp155.3.3.1
  • libdcmtk18 >= 3.6.8-bp155.3.3.1
Patchnames:
openSUSE-2024-113
openSUSE Leap 15.5
  • dcmtk >= 3.6.8-bp155.3.3.1
  • dcmtk-devel >= 3.6.8-bp155.3.3.1
  • libdcmtk18 >= 3.6.8-bp155.3.3.1
Patchnames:
openSUSE-2024-113
openSUSE Tumbleweed
  • dcmtk >= 3.6.8-4.1
  • dcmtk-devel >= 3.6.8-4.1
  • libdcmtk18 >= 3.6.8-4.1
Patchnames:
openSUSE-Tumbleweed-2024-13898


SUSE Timeline for this CVE

CVE page created: Tue Apr 23 18:00:12 2024
CVE page last modified: Sun Jun 16 11:56:31 2024